unattended-upgrades uses dpkg-vendor but doesn't depend on dpkg-dev

Bug #1719630 reported by Jean-Baptiste Lallement on 2017-09-26
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
unattended-upgrades (Ubuntu)
High
Unassigned
Xenial
Undecided
Unassigned
Artful
High
Unassigned

Bug Description

[Impact]

 * Unattended-upgrades may fail to install due to missing dpkg-vendor command.
 * The fix is using lsb_release which is provided by dependencies.

[Test Case]

 * Install unattended-upgrades, then check the maintainer scripts to not have reference to dpkg-dev:
$ grep dpkg-dev /var/lib/dpkg/info/unattended-upgrades.* ; echo $?
1

[Regression Potential]

 * lsb_release may fail but that would be a different, bigger issue affecting many other programs. This is unlikely.
 * Changed maintainer scripts may fail due to errors introduced with the fix. Since those scripts had extensive testing in later releases by now it looks like unlikely to occur, too.

[Original Bug Text]

in its postinst script unattended-upgrade uses dpkg-vendor from dpkg-dev but does not depends on dpkg-dev which results in the following error:

# apt-get update && apt-get upgrade

Installing the packages goes well, except for, getting this warning.

Setting up unattended-upgrades (0.97ubuntu1) ...
/var/lib/dpkg/info/unattended-upgrades.postinst: 65:
/var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found
/var/lib/dpkg/info/unattended-upgrades.postinst: 66:
/var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found
/var/lib/dpkg/info/unattended-upgrades.postinst: 124:
/var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found
/var/lib/dpkg/info/unattended-upgrades.postinst: 125:
/var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: unattended-upgrades 0.97ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-11.12-generic 4.13.1
Uname: Linux 4.13.0-11-generic x86_64
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Tue Sep 26 10:01:05 2017
InstallationDate: Installed on 2013-09-03 (1483 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
PackageArchitecture: all
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: unattended-upgrades
UpgradeStatus: No upgrade log present (probably fresh install)
modified.conffile..etc.apt.apt.conf.d.50unattended-upgrades: [modified]
mtime.conffile..etc.apt.apt.conf.d.50unattended-upgrades: 2017-09-05T01:34:04.573213

Jean-Baptiste Lallement (jibel) wrote :
Changed in unattended-upgrades (Ubuntu):
status: New → Triaged
importance: Undecided → High
tags: added: rls-aa-incoming
removed: wayland-session
Balint Reczey (rbalint) on 2017-09-26
Changed in unattended-upgrades (Ubuntu):
status: Triaged → In Progress
Balint Reczey (rbalint) wrote :

Thank, will add the patch soon.

Balint Reczey (rbalint) wrote :
Changed in unattended-upgrades (Ubuntu):
status: In Progress → Confirmed

uploaded and ended up in unapproved queue, waiting for Release Team

Changed in unattended-upgrades (Ubuntu):
status: Confirmed → In Progress
tags: removed: rls-aa-incoming
tags: added: block-proposed
Balint Reczey (rbalint) on 2017-09-26
tags: removed: block-proposed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unattended-upgrades - 0.97ubuntu2

---------------
unattended-upgrades (0.97ubuntu2) artful; urgency=medium

  * Use lsb_release instead of dpkg-vendor in postinst (LP: #1719630)

 -- Balint Reczey <email address hidden> Tue, 26 Sep 2017 10:21:42 -0400

Changed in unattended-upgrades (Ubuntu Artful):
status: In Progress → Fix Released
Balint Reczey (rbalint) on 2018-11-30
description: updated

Hello Jean-Baptiste, or anyone else affected,

Accepted unattended-upgrades into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unattended-upgrades/1.1ubuntu1.18.04.7~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in unattended-upgrades (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Jean-Baptiste, or anyone else affected,

Accepted unattended-upgrades into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unattended-upgrades/1.1ubuntu1.18.04.7~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers